<?php

class DB{
    private $dbHost = "localhost";
    private $dbUser = "root";
    private $dbPassword = "root";
    private $dbName = "testdb";
    private $conn;

    public function __construct() {
      try {
        $dsn="mysql:=".$this->dbHost.";dbname=".$this->dbName;
        $this->conn = new PDO($dsn,$this->dbUser,$this->dbPassword);
        $this->conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
      } catch (PDOException $e) {
        die("Az adatbázis csatlakozás nem sikerült!".$e->getMessage());
      }
    }

    public function insertData($name,$email){
      $sql="INSERT INTO userdetails (name,email) VALUES (:name,:email)";
      $stmt=$this->conn->prepare($sql);
      $stmt->execute(['name'=>$name,'email'=>$email]);
    }

    public function getData(){
      $sql="SELECT * FROM userdetails";
      $stmt=$this->conn->prepare($sql);
      $stmt->execute();
      $data=$stmt->fetchAll(PDO::FETCH_ASSOC);
      return $data;
    }

    public function deleteData($id){
      $sql="DELETE FROM userdetails WHERE id = :id";
      $stmt=$this->conn->prepare($sql);
      $stmt->execute(['id' => $id]);
    }

    public function editData($id,$name){
      $sql="UPDATE userdetails SET name = :name WHERE id = :id";
      $stmt=$this->conn->prepare($sql);
      $stmt->execute(['id' => $id, 'name' => $name]);
    }

    public function searchData($name){
      $sql="SELECT * FROM userdetails WHERE name LIKE :name";
      $stmt=$this->conn->prepare($sql);
      $stmt->execute(['name' => "%" . $name . "%"]);
      $data = $stmt->fetchAll(PDO::FETCH_ASSOC);
      return $data;
    }
}
?>
